package com.cm.websocket.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppSocketTypeEnum
 * @Description: App Socket 类型
 * @Author: wanggeng
 * @Date: 2021/1/13 11:20 下午
 * @Version: 1.0
 */
public enum AppSocketTypeEnum {

    /**
     * 注册消息，body 为 RegisterBody 的 JSON 字符串
     */
    REGISTER(100),
    /**
     * 文本消息
     */
    MESSAGE(101),
    /**
     * 群发文本消息
     */
    GROUP_MESSAGE(102),
    /**
     * 系统消息
     */
    SYSTEM_MESSAGE(103),
    /**
     * 系统群发问呢消息
     */
    SYSTEM_GROUP_MESSAGE(104),
    /**
     * 系统目标消息
     */
    SYSTEM_TARGET_MESSAGE(105),
    /**
     * LAYIM 连接消息
     */
    LAYIM_HREF_MESSAGE(106),
    /**
     * LAYIM 图片消息
     */
    LAYIM_IMAGE_MESSAGE(107),
    /**
     * LAYIM 文件消息
     */
    LAYIM_FILE_MESSAGE(108),
    /**
     * LAYIM 音频消息
     */
    LAYIM_AUDIO_MESSAGE(109),
    /**
     * LAYIM 视频消息
     */
    LAYIM_VIDEO_MESSAGE(110),
    /**
     * 通知
     */
    NOTICE(106),
    /**
     * 群通知
     */
    NOTICE_GROUP_MESSAGE(107),
    /**
     * 目标通知，用于APP打开特定页面
     */
    NOTICE_TARGET_MESSAGE(108),
    /**
     * 更新业务的处理状态
     */
    UPDATE_SERVICE_HANDLE_STATUS(501),
    /**
     * 查询全部在线用户，body 为查询用户的 userId
     */
    SEARCH_ONLINE_USER(600),
    /**
     * 查询朋友在线用户，body 为查询用户的 userId
     */
    SEARCH_ONLINE_USER_FRIEND(601),
    /**
     * 查询全部待办总数
     */
    SEARCH_COUNT_NEED_TO_DEALT_WITH(602),
    /**
     * 发送状态，body 为 BaseResult 的 JSON 字符串
     */
    SEND_STATUS(1100),
    /**
     * 发送在线状态，body 为 在线用户的ID JSONArray 字符串
     */
    SEND_STATUS_ONLINE(1101),
    /**
     * 发送离线状态，body 为 离线用户的ID JSONArray 字符串
     */
    SEND_STATUS_OFFLINE(1102);

    private int value;

    AppSocketTypeEnum(int value) {
        this.value = value;
    }

    public int getValue() {
        return value;
    }
}
